FSIRAND(8)

NAME
fsirand - install random inode generation numbers in a filesystem

SYNOPSIS
fsirand [-x constant] [-p] special

DESCRIPTION
fsirand writes random inode generation numbers for all the inodes on device special. These random numbers make the NFS filehandles less predictable, increasing security of exported filesystems.

fsirand should be run on a clean and unmounted filesystem.

The options are as follows:

-x constant
    Exclusive-or the given constant with the random number used in the generation process.

-p  Print the current inode generation numbers; the filesystem is not modified.

fsirand exits zero on success, non-zero on failure.

SEE ALSO
fsck_ffs(8), newfs(8)

SECURITY CONSIDERATIONS
The current implementation does not use a good random number generator, so the randomization can be predicted.